ICONV_CLOSE(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
iconv_close - codeset conversion deallocation function

SYNOPSIS

#include <iconv.h>

int iconv_close(iconv_t cd);

DESCRIPTION

The iconv_close() function shall deallocate the conversion descriptor cd and all other associated resources allocated by iconv_open().

If a file descriptor is used to implement the type iconv_t, that file descriptor shall be closed.

RETURN VALUE

Upon successful completion, 0 shall be returned; otherwise, -1 shall be returned and errno set to indicate the error.

ERRORS

The iconv_close() function may fail if:

EBADF
    The conversion descriptor is invalid.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

iconv(), iconv_open(), the Base Definitions volume of IEEE Std 1003.1-2001, <iconv.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .